Gecode::Int::Linear::NqBoolScale< SBAP, SBAN, VX > Class Template Reference
Other available functionality » Integer propagators

Propagator for disequality to Boolean sum with coefficients More...

`#include <linear.hh>`

## Public Member Functions

| NqBoolScale (Home home, SBAP &p, SBAN &n, VX x, int c)
| Constructor for creation.
| NqBoolScale (Space &home, Propagator &pr, SBAP &p, SBAN &n, VX x, int c)
| Constructor for cloning pr.
virtual Actor * | copy (Space &home)
| Create copy during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::Int::Linear::LinBoolScale< SBAP, SBAN, VX, PC_INT_VAL >
| LinBoolScale (Home home, SBAP &p, SBAN &n, VX x, int c)
| Constructor for creation.
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low linear).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, SBAP &p, SBAN &n, VX x, int c)
| Post propagator.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Additional Inherited Members

Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.
Protected Attributes inherited from Gecode::Int::Linear::LinBoolScale< SBAP, SBAN, VX, PC_INT_VAL >
SBAP | p
| Positive Boolean views with coefficients on left-hand side.
SBAN | n
| Negative Boolean views with coefficients on left-hand side.
VX | x
| Integer view on right-hand side.
int | c
| Integer constant on right-hand side.

## Detailed Description

template<class SBAP, class SBAN, class VX>
class Gecode::Int::Linear::NqBoolScale< SBAP, SBAN, VX >

Propagator for disequality to Boolean sum with coefficients

Requires

#include <gecode/int/linear.hh>
linear.hh

Definition at line 1305 of file linear.hh.

## Constructor & Destructor Documentation

## NqBoolScale() [1/2]

template<class SBAP, class SBAN, class VX>

Gecode::Int::Linear::NqBoolScale< SBAP, SBAN, VX >::NqBoolScale | ( | Home | home,
|  | SBAP & | p,
|  | SBAN & | n,
|  | VX | x,
|  | int | c )

inline

Constructor for creation.

Definition at line 578 of file bool-scale.hpp.

## NqBoolScale() [2/2]

template<class SBAP, class SBAN, class VX>

Gecode::Int::Linear::NqBoolScale< SBAP, SBAN, VX >::NqBoolScale | ( | Space & | home,
|  | Propagator & | pr,
|  | SBAP & | p,
|  | SBAN & | n,
|  | VX | x,
|  | int | c )

inline

Constructor for cloning pr.

Definition at line 585 of file bool-scale.hpp.

## Member Function Documentation

## copy()

template<class SBAP, class SBAN, class VX>

Actor * Gecode::Int::Linear::NqBoolScale< SBAP, SBAN, VX >::copy | ( | Space & | home | ) |

virtual

Create copy during cloning.

Implements Gecode::Actor.

Definition at line 593 of file bool-scale.hpp.

## propagate()

template<class SBAP, class SBAN, class VX>

ExecStatus Gecode::Int::Linear::NqBoolScale< SBAP, SBAN, VX >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 621 of file bool-scale.hpp.

## post()

template<class SBAP, class SBAN, class VX>

ExecStatus Gecode::Int::Linear::NqBoolScale< SBAP, SBAN, VX >::post | ( | Home | home,
|  | SBAP & | p,
|  | SBAN & | n,
|  | VX | x,
|  | int | c )

static

Post propagator.

Definition at line 686 of file bool-scale.hpp.

The documentation for this class was generated from the following files:

- gecode/int/linear.hh
- gecode/int/linear/bool-scale.hpp